> For the complete documentation index, see [llms.txt](https://docs.riskbase.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.riskbase.uk/riskbase-docs/api/plans.md).

# Plans

## Get Plans

> To get a plan's file, use the \`GET: Get Plan\` endpoint.<br>

```json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Plans","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}},"schemas":{}},"paths":{"/plans":{"get":{"tags":["Plans"],"summary":"Get Plans","description":"To get a plan's file, use the `GET: Get Plan` endpoint.\n","parameters":[{"schema":{"type":"integer","minimum":1,"maximum":1000,"default":1000},"in":"query","name":"limit"},{"schema":{"type":"integer","default":1},"in":"query","name":"page"},{"schema":{"type":"string"},"in":"query","name":"property","description":"Comma separated property IDs"},{"schema":{"type":"string"},"in":"query","name":"asset","deprecated":true,"description":"Use `property` instead"}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"total":{"type":"integer"},"plans":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"UID"},"property":{"type":"string","description":"ID of property this plan is linked to","format":"UID"},"asset":{"type":"string","deprecated":true,"description":"Use `property` instead","format":"UID"},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["floor","elevation","environs"]},"data":{"discriminator":{"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/planTypeGroup/svg"},{"$ref":"#/components/schemas/planTypeGroup/pdf"},{"$ref":"#/components/schemas/planTypeGroup/image"}]}}}}}}}}}}}}}}
```

## Get Plan

> Get plan info and file (PDF, SVG, Image)

```json
{"openapi":"3.1.1","info":{"title":"RiskBase API","version":"0.0.1"},"tags":[{"name":"Plans","description":""}],"servers":[{"url":"https://api3.riskbase.uk"}],"security":[{"Bearer Authentication":[]}],"components":{"securitySchemes":{"Bearer Authentication":{"type":"http","scheme":"bearer","description":"`Authorization: Bearer {AuthorizationToken}`"}},"schemas":{}},"paths":{"/plans/{plan}":{"get":{"tags":["Plans"],"summary":"Get Plan","description":"Get plan info and file (PDF, SVG, Image)","parameters":[{"schema":{"type":"string","format":"UID"},"in":"path","name":"plan","required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"id":{"type":"string","format":"UID"},"property":{"type":"string","description":"ID of property this plan is linked to","format":"UID"},"asset":{"type":"string","description":"Use `property` instead","deprecated":true,"format":"UID"},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["floor","elevation","environs"]},"data":{"discriminator":{"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/planTypeGroupWithContent/svg"},{"$ref":"#/components/schemas/planTypeGroupWithContent/pdf"},{"$ref":"#/components/schemas/planTypeGroupWithContent/image"}]}}}}}}}}}}}
```
